Subject: Gen-ART Combined Last Call and Telechat Review of draft-ietf-tcpm-rfc1948bis-01

From: Ben Campbell <[email-masked]>
Date: Tue, 1 Nov 2011 14:55:12 -0500

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at
< http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-ietf-tcpm-rfc1948bis-01
Reviewer: Ben Campbell
Review Date: 2011-01-01
IETF LC End Date: 2011-01-02
IESG Telechat date: 2011-01-03

Summary: This draft is basically ready for publication as a proposed standard. I have a couple of minor comments and nits that might be worth considering, but probably shouldn't block anything.

Major issues:

None

Minor issues:

-- section 3, paragraph after ISN formula: "It is vital that F not be computable…"

If it's vital for security reasons, it seems like this would be worthy of normative language.

-- Normative reference to RFC1321

This is a normative downref. It's a reasonable downref  (maybe even the canonical reasonable downref). I call it out for the sake of completeness.

-- Appendix B, Removal of "A Common TCP Bug" section:

Can you comment on why the section was removed?

Nits/editorial comments:

-- abstract

The abstract should explicitly mention the update to RFC793

-- section 1, 2nd paragraph:

Please expand ISN on first mention

-- informative references:

Is there any way to avoid orphaning the last reference fragment? It's confusing to find half a reference at the top of the next page.